from math import cos, sin

from .keys import (LEFT, RIGHT, UP, DOWN, SHOOT)

class Capsule :
    """Capsule class definition defined by :
    _ its abscissa (x, in pixels) 
    _ its ordinate (y, in pixels)
    _ its radius
    
    """

    def __init__(self, x, y):
        """Capsule constructor"""
        self.x = x
        self.y = y
        self.dx_speed = 0#10
        self.dy_speed = 0
        self.hit_box_length = 50
        
        #self.star_speed(keystate)

    def capsule_speed(self, keystate):
        if LEFT in keystate and UP not in keystate and DOWN not in keystate:
            self.dx_speed = 10
            self.dy_speed = 0
        if RIGHT in keystate and UP not in keystate and DOWN not in keystate:
            self.dx_speed = -10
            self.dy_speed = 0
        if DOWN in keystate and LEFT not in keystate and RIGHT not in keystate:
            self.dx_speed = 0
            self.dy_speed = 10
        if UP in keystate and LEFT not in keystate and RIGHT not in keystate:
            self.dx_speed = 0
            self.dy_speed = -10
			
	
        if LEFT in keystate and DOWN in keystate and UP not in keystate and RIGHT not in keystate:
            self.dx_speed = 10
            self.dy_speed = 10
        if RIGHT in keystate and DOWN in keystate and UP not in keystate and LEFT not in keystate:
            self.dx_speed = -10
            self.dy_speed = 10
        if LEFT in keystate and UP in keystate and DOWN not in keystate and RIGHT not in keystate:
            self.dx_speed = 10
            self.dy_speed = -10
        if RIGHT in keystate and UP in keystate and DOWN not in keystate and LEFT not in keystate:
            self.dx_speed = -10
            self.dy_speed = -10
        
        if RIGHT not in keystate and UP not in keystate and DOWN not in keystate and LEFT not in keystate:
            self.dx_speed = 0
            self.dy_speed = 0
        

    def update(self, keystate):
        """Capsule movement"""
        
        self.capsule_speed(keystate)
        
        self.x += self.dx_speed
        self.y += self.dy_speed
        #self.y -= self.speed
	




