#!/usr/bin/env python

from spacesavior.game.game import Game
from spacesavior.ui.gamerunner import GameRunner

import pyglet

pyglet.resource.path = ['data']
pyglet.resource.reindex()

width = 1000
height = 800

game = Game((0, ), 6, width, height)

runner = GameRunner(game, (width, height))
pyglet.clock.schedule_interval(runner.update, 1./60)

pyglet.app.run()
